URL structure
... represents either nothing or any one of the following paths (appended to the URL above):
/adminEmail/adminHelpUrl/androidAuthenticatorUrl/applicationName/companyName/copyright/iphoneAuthenticatorUrl/legalUrl/orgAdminHelpUrl/privacyUrl/supportLink/versionUrl/webappHelpUrl/windowsAuthenticatorUrl
Supported methods and overview
GET- used to retrieve the current values for each (or all) theme-related Safe Share Administration properties, many of which can be overridden through Organization Administration.
This method takes no parameters.
Detailed description
This API endpoint retrieves the current values for all theme-related Safe Share Administration properties (i.e. when nothing is appended to the URL above). Many of these properties can be overridden through Organization Administration. Each of the following paths (which can be appended to the URL above) relates to an individual property (accessible through the System Details section of the Configuration page of Safe Share Administration), such that making aGET request on that URL/path combination retrieves the value for that property only:
Supported roles
This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator’s Guide): The Covata Platform’s resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
property_name - The name of the property, followed by its value.
Notes:- Most property_names are similar to (but do not match) the URL path components above, which can be appended to this endpoint’s URL. These names are hard-coded in the Covata Platform.
- When a URL path component is appended to this endpoint’s URL, the property name is returned as just property.
Example (response from a GET request to ‘<access-service>/theme/companyName’):

